parameters:
    webkul_prestashop_connector.job.job_parameters.simple_prestashop_product_import.class : Webkul\PrestashopConnectorBundle\JobParameters\Import\PrestashopProductImport

services:
#   ------ EXPOTR JOB PARAMETER--
    webkul_prestashop_connector.job.job_parameters.prestashop_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopProductExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }
    
    webkul_prestashop_connector.job.job_parameters.prestashop_attribute_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopProductExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_attribute_export', 'prestashop_attribute_option_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }

    webkul_prestashop_connector.job.job_parameters.prestashop_Product_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopProductExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_product_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }

    webkul_prestashop_connector.job.job_parameters.prestashop_category_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopCategoryExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_category_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }
    
    webkul_prestashop_connector.job.job_parameters.prestashop_product_model_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopProductModelExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_product_model_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }
    
    webkul_prestashop_connector.job.job_parameters.prestashop_quick_export:
        class: 'Webkul\PrestashopConnectorBundle\JobParameters\PrestashopQuickExport'
        arguments:
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.repository.locale'
            - ['prestashop_quick_export']
        tags:
            - { name: akeneo_batch.job.job_parameters.constraint_collection_provider }
            - { name: akeneo_batch.job.job_parameters.default_values_provider }

